<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="style.css">
    <title>News</title>
  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
            <div class="container">
                <a class="navbar-brand fs-2 fw-bold" href="#">News</a>
            </div>
        </div>
    </nav>
    <div class="row">
        <div class="col-3 bg-secondary ">
          <div class="fs-3 text-light">
            <b class="d-flex flex-column align-items-center my-2">
              Latest News
            </b>
          </div>
          <div class="my-3">
            <div class="container d-flex flex-column align-items-center" id="latestNews">
              <!-- expected img width 220px -->
              
              <!-- <div class="card my-2" style="width: 16rem;">
                <img src="https://cdn.vox-cdn.com/thumbor/MG_NhB7wSIBIl3S_LG-y-r7iPmg=/0x215:3000x1786/fit-in/1200x630/cdn.vox-cdn.com/uploads/chorus_asset/file/9442221/cryptocurrency_0004__00000_.jpg" class="card-img-top" alt="Something is wrong">
                <div class="card-body">
                  <h6 class="card-title">If you're a Russian YouTuber, how do you get paid now?</h6>
                    <p class="card-subtitle text-muted">2022-03-17T13:33:43Z</p>
                </div>
              </div> -->
            </div>
          </div>
        </div>
        <div class="col"id="query" style="background-color: lightgray;">
          <div class="container">
            <div class="row">
              <div class="d-flex my-3">
                <!-- Important !!! -->
                <input name="search" id="search" class="form-control me-2" type="text" placeholder="Search News" onkeyup="fetchData()">
                
                <!-- Important !!! -->
              </div>
            </div>
            <div>
              <div class="lds-spinner" id="loading"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
              <div  class="row gx-5" id="newsTemplate">

              </div>
              <!-- <div class="col">
                <div class="card my-2" style="width: 12rem;">
                  <img id="imgNews" src="" class="card-img-top" alt="Something is wrong">
                  <div class="card-body">
                    <h6 class="card-title" id="titleSearch"></h6>
                      <p class="card-subtitle text-muted" id="dateNews"></p>
                  </div>
                </div>
              </div> -->
              
            </div>
          </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script src="index.js" type="text/javascript"></script>
  </body>
</html>